/*
Theme Name: Hugge Child
Theme URI: https://hugge.qodeinteractive.com
Description: A child theme of Hugge
Author: Select Themes
Author URI: https://qodeinteractive.com
Version: 1.0.0
Text Domain: hugge
Template: hugge
*/

*,
*::after,
*::before {-o-box-sizing: border-box;-webkit-box-sizing: border-box;-moz-box-sizing: border-box;box-sizing: border-box;}

img {
	border-style: none;
	max-width: 100%;
	max-height: 100%;
	height: auto;
	object-fit: cover;
	vertical-align: middle;
}

.tax-product_cat .qodef-grid.qodef-layout--template>.qodef-grid-inner>.qodef-grid-item.qodef-col-push--3 {left: 0;}
.qodef-grid.qodef-layout--template>.qodef-grid-inner>.qodef-grid-item.qodef-col--9 {width: 100%;}
.qodef-woo-product-list.qodef-item-layout--info-below .qodef-woo-product-inner .qodef-woo-product-image {color:white;}
.qodef-woo-product-list .qodef-woo-product-inner {text-align: center;}

/* Restaurants */
.banner-hero.banner-image-single, .listing-overview, .sidebar-border {border-radius: 25px !important;}
.sidebar-list-listing {border-top: 0 !important;}
.hor-title {padding: 20px 0;}
.box-map iframe {border-radius: 25px;}
.api_image img {height: 105px !important;width: 170px;border-radius: 25px !important;}
.listing-template-default .qodef-page-title{display: none !important;}
.listing-template-default #qodef-page-inner {padding: 0 !important;}

h2.title-detail {color: #000;} 

.card-body .p-0 {color: #000 !important;}
.card-border-round {border-radius: 30px !important;}
.card-img-container {border-radius: 30px 30px 0px 0px !important;height: 212px;}
.card-img-container img {height: 212px !important;}

.card-body-min-height {margin-bottom: 15px;}
.toggle-hours {margin-bottom: 20px;}
span.single-link a.btn {margin-right: 10px;}
span.single-link a.btn, span.single-commander a.btn{background: white !important;color: black !important;border: 1px solid black !important;border-radius: 25px !important;}
p.card-text-map a.btn{background: white !important;color: black !important;border: 1px solid black !important;border-radius: 25px !important;}
p.address {margin-bottom: 0 !important;font-size: 18px;color: black !important;}

.listing_page #qodef-page-inner{padding:0;}
.listing_page .listing-top-layout {display:none;}

.single_ing_image {width: 200px;}

.card-border-round:hover {position: relative;z-index: 9;}

.schedule {display: grid;grid-template-columns: 1fr 1fr;gap: 10px;margin-bottom: 10px;}

.toggle-hours {cursor: pointer;}

.all_ingredient {display: grid;grid-template-columns: 1fr 1fr 1fr 1fr;gap:30px;}

.ingredient-list {display: grid;grid-template-columns: 1fr 1fr 1fr;gap:20px;}

.ingredients-list {display: grid;grid-template-columns: 1fr 1fr 1fr;gap:20px;}

.cat_ingredient {background-color: white;padding: 20px;}

.ingredient-categories {padding: 25px 0px 50px 0px;}

.product_category {margin: 0px 10px 10px 0px !important;background: black;cursor: pointer;}

.ingredient_category {margin: 0px 10px 10px 0px !important;background: black;cursor: pointer;}

.active-cat {background-color: #76B82A !important;border:0 !important;}

.single_images img {width: 40px;}

.qodef-woo-product-list.qodef-item-layout--info-below .qodef-woo-product-inner .product_type_simple {bottom: -50px;}
.qodef-woo-product-list.qodef-item-layout--info-below .qodef-woo-product-inner .qodef-woo-product-image {width: 200px;}

.hours-container {
    position: absolute;
    background: white;
    box-shadow: 0px 0px 1px #000;
    padding: 10px;
    z-index: 2;
    width: 215px;
    text-transform: capitalize;
}

.commander_btn {margin-top:20px;}

.single_business_time{text-transform: capitalize;display: flex;justify-content: space-between;}

/*CUSTOM CSS*/
.flex {display: flex;}
.flex-row{flex-direction: row;}
.flex-row.reverse {flex-direction: row-reverse;}
.flex-col{flex-direction: column;}
.flex-col.reverse {flex-direction: column-reverse;}

.flex-nowrap{flex-wrap: nowrap;}
.flex-wrap{flex-wrap: wrap;}

.flex-1 {flex: 1;}
.flex-auto {flex: auto;}

.justify-start{justify-content: flex-start;}
.justify-end{justify-content: flex-end;}
.justify-between{justify-content: space-between;}
.justify-around{justify-content: space-around;}
.justify-center{justify-content: center;}

.align-i-center {align-items: center;}
.align-i-start {align-items: flex-start;}
.align-i-end {align-items: flex-end;}

.align-s-center {align-self: center;}
.align-s-start {align-self: flex-start;}
.align-s-end {align-self: flex-end;}

.flex-row-2 > * {flex-basis: 49%;}
.flex-row-3 > * {flex-basis: 31%;}

.es_ct_column ul.sub-menu {
	display: flex;
    flex-wrap: wrap;
	width:300px !important;
}

.es_ct_column ul.sub-menu li {
    width: 50%;
    padding: 0 !important;
    display: flex;
    align-items: center;
    justify-content: center;
}

.es_ct_column ul.sub-menu li a {
    text-align: center;
    line-height: 25px !important;
}

.qodef-header-navigation>ul>li.qodef-menu-item--narrow ul:not(.qodef-drop-down--right) li>a .qodef-menu-item-text:after {
	bottom:5px;
}

@media screen and (max-width: 1024px) { 

    .all_ingredient {grid-template-columns: 1fr 1fr 1fr;}
}


@media screen and (max-width: 767px) {
    .all_ingredient, .ingredient-list, .ingredients-list {grid-template-columns: 1fr 1fr;}    
}

@media screen and (max-width: 480px) { 
    .all_ingredient, .ingredient-list, .ingredients-list {grid-template-columns: 1fr;}

    .ingredient-list {grid-template-columns: 1fr 1fr;margin-bottom: 20px;}
    
    .ingredient-list h3 {font-size: 15px;line-height: 20px;letter-spacing:0;margin: 10px 0;}
    .ingredient-list span {font-size: 12px;}
    .ct_mobile .elementor-container {width: 90% !important;}
    
    .all_ingredient {grid-template-columns: 1fr 1fr;}
    .single_ing_image {width: auto;}
}
